com.google.gwt.place.shared

## Interface PlaceTokenizer<P extends Place>

Type Parameters:
  `P` - a subtype of `Place`

    public interface PlaceTokenizer<P extends Place>

Implemented by objects responsible for text serialization and deserialization of Place objects.

### Method Summary

All Methods Instance Methods Abstract Methods
`P` `getPlace(java.lang.String token)` Returns the `Place` associated with the given token.
`java.lang.String` `getToken(P place)` Returns the token associated with the given `Place`.

### Method Detail

#### getPlace

    P getPlace(java.lang.String token)

Returns the `Place` associated with the given token.

Parameters:
  `token` - a String token
Returns:
  a `Place` of type P

#### getToken

    java.lang.String getToken(P place)

Returns the token associated with the given `Place`.

Parameters:
  `place` - a `Place` of type P
Returns:
  a String token